# TODO
# - add systemd and udev support both
#   - install appropriate udev rule with udev opts
#   - install appropriate systemd file with systemd opts
#   - make them not to conflict
#   - their "support" itself is just imply other options:
#     -u, --udev    Run in udev operation mode (implies -n and -z)
#     -s, --systemd Run in systemd operation mode (implies -z and -f)
#
# Conditional build:
%bcond_without	preflight	# preflight worker support

Summary:	Daemon for communicating with Apple's iPod Touch and iPhone
Summary(pl.UTF-8):	Demon do komunikacji z urządzeniami iPod Touch i iPhone firmy Apple
Name:		usbmuxd
Version:	1.1.1
Release:	2
License:	GPL v2 or GPL v3
Group:		Daemons
#Source0Download: https://libimobiledevice.org/
Source0:	https://github.com/libimobiledevice/usbmuxd/releases/download/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	7450ab28776dcd10b593c9a4243e6755
Patch0:		%{name}-libplist.patch
Patch1:		%{name}-sh.patch
URL:		https://libimobiledevice.org/
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake
%{?with_preflight:BuildRequires:	libimobiledevice-devel >= 1.3.0}
BuildRequires:	libplist-devel >= 2.3.0
BuildRequires:	libtool
BuildRequires:	libusb-devel >= 1.0.9
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.600
BuildRequires:	systemd-units
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
%{?with_preflight:Requires:	libimobiledevice >= 1.3.0}
Requires:	libplist >= 2.3.0
Requires:	libusb >= 1.0.9
Provides:	group(usbmux)
Provides:	user(usbmux)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

%description
usbmuxd is a daemon used for communicating with Apple's iPod Touch and
iPhone devices. It allows multiple services on the device to be
accessed simultaneously.

%description -l pl.UTF-8
usbmuxd jest demonem używanym do komunikacji z urządzeniami iPod Touch
i iPhone firmy Apple. Umożliwia jednoczesny dostęp do kilku usług na
urządzeniu.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--without-systemd \
	%{!?with_preflight:--without-preflight}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 247 usbmux
%useradd -u 247 -g usbmux -c "usbmuxd daemon" usbmux

%postun
if [ "$1" = "0" ]; then
	%userremove usbmux
	%groupremove usbmux
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md
%attr(755,root,root) %{_sbindir}/usbmuxd
%{_mandir}/man8/usbmuxd.8*
/lib/udev/rules.d/39-usbmuxd.rules
%changelog
* Sun Nov 26 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/usbmuxd.git;a=log;h=master

* Sun Nov 26 2023 Jakub Bogusz <qboosh@pld-linux.org> 958c0bf
- added patch to adjust for libplist 2.3.0 + POSIX sh fix; release 2

* Sat Sep 12 2020 Jakub Bogusz <qboosh@pld-linux.org> 77ae230
- updated to 1.1.1

* Wed Apr 20 2016 Jan Rękorajski <baggins@pld-linux.org> 2b752af
- release 3 (by relup.sh)

* Thu Feb 25 2016 Jan Rękorajski <baggins@pld-linux.org> b97fa82
- release 2 (by relup.sh)

* Fri Jan 22 2016 Jakub Bogusz <qboosh@pld-linux.org> 758c596
- updated License, package NEWS, added versioned install time dependencies

* Wed Jan 20 2016 Elan Ruusamäe <glen@delfi.ee> f8ec95b
- update BR

* Wed Jan 20 2016 Elan Ruusamäe <glen@delfi.ee> 00b9de4
- up to 1.1.0, update deps

* Wed Jan 20 2016 Elan Ruusamäe <glen@delfi.ee> 56140bd
- update deps; disable systemd support to keep udev support

* Wed Jan 20 2016 Elan Ruusamäe <glen@delfi.ee> 26bca85
- libs, devel and iproxy moved to libusbmuxd package

* Wed Jan 20 2016 Elan Ruusamäe <glen@delfi.ee> d0b7c88
- up to 1.0.9

* Tue Mar 03 2015 Elan Ruusamäe <glen@delfi.ee> f1bf84e
- x32 rebuild
- release 2 (by relup.sh)

* Thu Sep 06 2012 Jakub Bogusz <qboosh@pld-linux.org> 34e0734
- noted download URL

* Sat May 12 2012 Elan Ruusamäe <glen@pld-linux.org> d926fd5
- up to 1.0.8, new soname

* Sun Mar 27 2011 Elan Ruusamäe <glen@pld-linux.org> c1352a0
- up to 1.0.7

* Thu Oct 28 2010 Elan Ruusamäe <glen@pld-linux.org> 813de55
- up to 1.0.6

* Thu Jul 22 2010 Elan Ruusamäe <glen@pld-linux.org> 8d58dbe
- up to 1.0.5, with plist support

* Sun Jun 13 2010 Marcin Banasiak <marcin.banasiak@gmail.com> e83ffcb
- updated for 1.0.4

* Sun Jun 13 2010 Marcin Banasiak <marcin.banasiak@gmail.com> a084d19
- updated to 1.0.4

* Thu Feb 11 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 6a10b6a
- new

* Thu Feb 11 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 880c39c
- run daemon under usbmux user (from Fedora)

